Bug 1118080 - Don't add unhashed password mod if we don't have an unhashed value
Summary: Don't add unhashed password mod if we don't have an unhashed value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:32 UTC by Noriko Hosoi
Modified: 2015-03-05 09:36 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:36:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-10 00:32:06 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47752

When performing a modify operation to replace the userpassword with a pre-hashed value, the modify code adds a LDAPMod that replaces the "unhashed#user#password" attribute with no values.  While this doesn't cause any harm inside DS itself, it is not the correct behavior.  We should only add a LDAPMod for the unhashed password if we actually have an unhashed value available.

Comment 4 Amita Sharma 2014-12-11 14:20:49 UTC
Marking bug VERIFIED (Sanity Only)

Comment 6 errata-xmlrpc 2015-03-05 09:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.